/*
 *  display.h
 *
 *  Copyright (C) Gerhard Monzel - October 2003
 *
 *  This file is part of lve, a linux mpeg video editor
 *      
 *  lve tools are free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  lve is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */
#ifndef _DISPLAY_H
#define _DISPLAY_H 1

#include "DT_drawtext.h"

#define OV_WIDTH  352
#define OV_HEIGHT 288

#define FN_FONT_SYS_BMP      "SystemFont.bmp"
#define FN_FONT_SMALL_BMP    "SmallFont.bmp"
#define FN_FONT_LARGE_BMP    "LargeFont.bmp"

#undef __EXTERN
#ifndef _DISPLAY_
#define __EXTERN extern 
#else
#define __EXTERN
#endif

__EXTERN void display_set_cursor(char);
__EXTERN SDL_Surface *display_init(T_LVE_CTX *ctx, char *lib_path, char* title);
__EXTERN SDL_Overlay *display_init_ov(T_LVE_CTX *);
__EXTERN void display_cleanup_ov(void); 
__EXTERN void display_reset_ov(T_LVE_CTX *ctx); 
__EXTERN Uint32 display_draw_frame(T_LVE_CTX *ctx);
__EXTERN void display_lock(void);
__EXTERN void display_unlock(void);
__EXTERN void display_refresh(T_LVE_CTX *ctx);
__EXTERN void display_init_update(void);
__EXTERN void display_OvText(T_LVE_CTX *ctx, char *txt, uint8_t flag);

#endif // _DISPLAY_H
